OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_RealArray Class Reference

`#include <PDataStd_RealArray.hxx>`

Inheritance diagram for PDataStd_RealArray:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_RealArray ()
Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Real Value)
Standard_EXPORT Standard_Real | Value (const Standard_Integer Index) const
Standard_EXPORT Standard_Integer | Lower () const
Standard_EXPORT Standard_Integer | Upper () const
| PDataStd_RealArray (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPDataStd_RealArraymyValue() const
void | _CSFDB_SetPDataStd_RealArraymyValue (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PColStd_HArray1OfReal | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_RealArray::PDataStd_RealArray | ( |  | ) |

PDataStd_RealArray::PDataStd_RealArray | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_RealArray::_CSFDB_SetPDataStd_RealArraymyValue | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_RealArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDataStd_RealArray::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_RealArray::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT Standard_Integer PDataStd_RealArray::Lower | ( |  | ) | const

Standard_EXPORT void PDataStd_RealArray::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Real | Value
| ) |

Standard_EXPORT Standard_Integer PDataStd_RealArray::Upper | ( |  | ) | const

Standard_EXPORT Standard_Real PDataStd_RealArray::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Handle_PColStd_HArray1OfReal PDataStd_RealArray::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_RealArray.hxx